uniform float furLength;
uniform vec4 gravity;

void main(void) {
  vec4 pos = vec4(gl_Vertex);
  vec4 n = normalize(vec4(gl_Normal, 0));
  pos += furLength * n;
  pos += gravity * (pow(furLength*1.5,2.0) * (1 - abs(dot(n, normalize(gravity)))));
  
  gl_TexCoord[0] = gl_MultiTexCoord0;
  gl_TexCoord[1] = gl_MultiTexCoord1;
	gl_Position = gl_ModelViewProjectionMatrix * pos;
}
